Bug 1251839 (CVE-2015-6252)

Summary: CVE-2015-6252 kernel: vhost fd leak in ioctl VHOST_SET_LOG_FD
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, carnil, dhoward, fhrbata, gansalmon, itamar, jkacur, joelsmith, jonathan, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, mchehab, mguzik, nmurray, pholasek, plougher, pmatouse, rt-maint, rvrbovsk, slong, vgoyal, vkaigoro, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's vhost driver treated userspace provided log file descriptor when processing the VHOST_SET_LOG_FD ioctl command. The file descriptor was never released and continued to consume kernel memory. A privileged local user with access to the /dev/vhost-net files could use this flaw to create a denial-of-service attack.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-01 11:45:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1251871    
Bug Blocks: 1250300    

Description Wade Mealing 2015-08-10 06:24:19 UTC
A flaw was found in the way the Linux kernel's vhost driver treated userspace provided log file descriptor when processing the VHOST_SET_LOG_FD ioctl command. The file descriptor was never released and continued to consume kernel memory. A privileged local user with access to the /dev/vhost-net files could use this flaw to create a denial-of-service attack.

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7932c0bd7740f4cd2aa168d3ce0199e7af7d72d5

Comment 1 Wade Mealing 2015-08-10 08:04:44 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1251871]

Comment 2 Wade Mealing 2015-08-18 04:58:46 UTC
Acknowledgements:

Red Hat would like to thank Michael S. Tsirkin of Red Hat Engineering for reporting this issue responsibly.

Comment 3 Wade Mealing 2015-08-18 05:03:55 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 5.

This issue has been rated as having Low impact, affects the Linux kernels as shipped with Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2 and is currently not planned to be addressed in a future updates.